import request from "@/utils/request";
import { AxiosPromise } from "axios";

export function addReturnMaterial(data: object): AxiosPromise<any> {
  return request({
    url: "/api/v1/ReturnDetails/add",
    method: "post",
    data: data,
  });
}

export function queryList(data: object): AxiosPromise<any> {
  return request({
    url: "/api/v1/ReturnDetails/list",
    method: "post",
    data: data,
  });
}
export function sendWms(data: object): AxiosPromise<any> {
  return request({
    url: "/api/v1/ReturnDetails/send",
    method: "post",
    data: data,
  });
}
export function del(data: object): AxiosPromise<any> {
  return request({
    url: "/api/v1/ReturnDetails/del",
    method: "post",
    data: data,
  });
}
export function scanItem(data: object): AxiosPromise<any> {
  return request({
    url: "/mes/query/scanCode",
    method: "post",
    data: data,
  });
}
